Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | List of all members
Address Struct Reference

Address class as defined by RFC822. More...

`#include <address.h>`

Inheritance diagram for Address:

## Public Member Functions

| Address (const char *)
| Address (const std::string &)
bool | isGroup () const
Mailbox & | mailbox ()
const Mailbox & | mailbox () const
Group & | group ()
const Group & | group () const
void | set (const std::string &)
std::string | str () const
bool | operator== (const Address &) const
bool | operator!= (const Address &) const

## Additional Inherited Members

Protected Member Functions inherited from FieldValue
bool | typeChecked () const
void | typeChecked (bool)

## Detailed Description

Address class as defined by RFC822.

Address class is a C++ representation of RFC822 address structure. Use this class to parse fields that contains email addresses or email group.

Rfc822::Address adr(msg.from());
if(adr.isGroup())
cout << *adr.group();
else
cout << *adr.mailbox();

See also
  RFC822

## Member Function Documentation

## ◆ set()

void set | ( | const std::string & |  | ) |

virtual

Implements FieldValue.

## ◆ str()

std::string str | ( |  | ) | const

virtual

Implements FieldValue.

The documentation for this struct was generated from the following file:

- address.h